Bug 739766 - cc1: error: fail to initialize plugin /usr/lib/gcc/x86_64-redhat-linux/4.6.1/plugin/python2.so
cc1: error: fail to initialize plugin /usr/lib/gcc/x86_64-redhat-linux/4.6.1/...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gcc-python-plugin (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dave Malcolm
Fedora Extras Quality Assurance
RejectedNTH
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-19 20:38 EDT by Dave Malcolm
Modified: 2013-02-13 21:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 749868 (view as bug list)
Environment:
Last Closed: 2013-02-13 21:52:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to gcc-python-plugin.spec to add a requirement on the specific gcc version-release (1.45 KB, patch)
2011-09-20 13:18 EDT, Dave Malcolm
no flags Details | Diff

  None (edit)
Description Dave Malcolm 2011-09-19 20:38:13 EDT
Description of problem:
The plugin fails to start up, on my test box:

[david@f16 ~]$ touch demo.c
[david@f16 ~]$ gcc-with-python2 /usr/share/doc/gcc-python-plugin-docs-0.6/examples/show-gimple.py demo.c
cc1: error: fail to initialize plugin /usr/lib/gcc/x86_64-redhat-linux/4.6.1/plugin/python2.so

[david@f16 ~]$ rpm -qf $(which gcc-with-python2)
gcc-python2-plugin-0.6-2.fc16.x86_64
[david@f16 ~]$ rpm -q gcc python
gcc-4.6.1-9.fc16.x86_64
python-2.7.2-4.fc16.x86_64

Possibly a version incompatibilty between gcc and the plugin.

Version-Release number of selected component (if applicable):
gcc-python2-plugin-0.6-2.fc16.x86_64
gcc-4.6.1-9.fc16.x86_64


How reproducible:
100%
Comment 1 Dave Malcolm 2011-09-19 20:40:48 EDT
(In reply to comment #0)
> Possibly a version incompatibilty between gcc and the plugin.
The plugin build was:
  http://koji.fedoraproject.org/koji/buildinfo?buildID=264398
which had this x86_64 build task:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=3362681

The root.log for that build:
  http://koji.fedoraproject.org/koji/getfile?taskID=3362681&name=root.log
shows:
  gcc-plugin-devel-4.6.1-8.fc16.x86_64
which is a mismatch against the gcc-4.6.1-9.fc16.x86_64 I have installed, alas.
Comment 2 Dave Malcolm 2011-09-19 20:47:38 EDT
It would seem that gcc-4.6.1-9 is slated to reach F16 as:
https://admin.fedoraproject.org/updates/FEDORA-2011-12464
which ought to fix this; testing.
Comment 3 Dave Malcolm 2011-09-19 20:53:05 EDT
(In reply to comment #2)
> It would seem that gcc-4.6.1-9 is slated to reach F16 as:
> https://admin.fedoraproject.org/updates/FEDORA-2011-12464
> which ought to fix this; testing.
That's not right; -9 breaks the 0.6-2 package; it ought to work with -8 though (I need sleep).

It seems that any gcc plugin built in Koji will be broken if there's a mismatch between the gcc in the buildroot vs the gcc in the main tree.

Is it possible to have a custom gcc when building the plugin, so that it can match the version of gcc that's in the tree? (a buildroot override?)

It may make sense to embed a
  Requires: gcc = %{gcc-version}-%{gcc-release}.%{gcc-arch}
within the built package metadata, though that could cause further problems for the gcc maintainer.
Comment 4 Dave Malcolm 2011-09-19 20:58:28 EDT
Note: both of the other builds of gcc-python-plugin in f16 are against older builds of gcc, so using them wouldn't help.

(Specifically, both 0.3-1.fc16 and 0.4-1.fc16 were against gcc-4.6.1-3.fc16, on x86_64 at least)
Comment 5 Dave Malcolm 2011-09-20 13:18:36 EDT
Created attachment 524073 [details]
Patch to gcc-python-plugin.spec to add a requirement on the specific gcc version-release
Comment 6 Dave Malcolm 2011-09-20 16:29:54 EDT
(The plugin works fine against 4.6.1-8; it's a version incompatibility issue against 4.6.1-9)
Comment 7 Fedora Update System 2011-10-03 16:38:53 EDT
gcc-python-plugin-0.6-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/FEDORA-2011-13005
Comment 8 Dave Malcolm 2011-10-03 16:41:57 EDT
Given that we can't make rpm calls from within a Koji build, attachment 524703 [details] doesn't work.  I instead rewrote the gcc version handling as per:
http://pkgs.fedoraproject.org/gitweb/?p=gcc-python-plugin.git;a=commitdiff;h=4fabc53d12d03cad2f8f5dcc0b0c1c5187e9f7d7
Comment 9 Dave Malcolm 2011-10-03 16:43:06 EDT
(In reply to comment #8)
> attachment 524703 [details] 
Typo; should have read "attachment 524073 [details]"
Comment 10 Dave Malcolm 2011-10-10 16:21:19 EDT
The metadata is currently broken in rawhide (f17) due to inheriting the gcc build from f16, which thus has a disttag of f16.

(I've opened rfe 744922 to see if there's a way to improve this situation from the gcc side)
Comment 11 Dave Malcolm 2011-10-24 15:32:03 EDT
Latest gcc in F16 appears to be:
  gcc-4.6.1-10.fc16
whereas current update:
  https://admin.fedoraproject.org/updates/FEDORA-2011-13005
has:
  gcc-python-plugin-0.6-3.fc16 
which has:
  Requires: gcc = 4.6.1-9.fc16

Building gcc-python-plugin-0.6-3.1.fc16 for f16-candidate
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=3457274
Comment 12 Dave Malcolm 2011-10-24 15:41:20 EDT
Latest candidate build within F16:
  gcc-python-plugin-0.6-3.1.fc16
has:
  Requires: gcc = 4.6.1-10.fc16
and so should actually be installable.
Comment 13 Dave Malcolm 2011-10-24 15:49:09 EDT
Adding:
  Blocks: F16-accepted
in order to request this bug as a "nice to have" for F16, as per:
https://fedoraproject.org/wiki/QA:SOP_nth_bug_process#Proposing_nice-to-have_bugs

If there's a mismatch between the gcc and gcc-python-plugin metadata, then this feature will not work:
  http://fedoraproject.org/wiki/Features/GccPythonPlugin
and may require additional workarounds.
Comment 14 Dave Malcolm 2011-10-24 15:51:24 EDT
I have updated:
 https://admin.fedoraproject.org/updates/FEDORA-2011-13005
with the version given in comment 12, and need people to test it, as per:
  http://fedoraproject.org/wiki/Features/GccPythonPlugin#How_To_Test
Comment 15 Fedora Update System 2011-10-24 23:32:35 EDT
gcc-python-plugin-0.6-3.1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Adam Williamson 2011-10-27 00:35:33 EDT
looks like this update was pushed and bug should be closed?
Comment 17 Dave Malcolm 2011-10-27 07:26:09 EDT
(In reply to comment #16)
> looks like this update was pushed and bug should be closed?

I'm not sure.

Looking at:
  http://koji.fedoraproject.org/koji/packageinfo?packageID=12323
I see that ausil rebuilt gcc-python-plugin in response to the glibc bug (bug 747377).  I haven't yet tested that build (though it did pass its %check)

Looking at gcc:
  http://koji.fedoraproject.org/koji/packageinfo?packageID=40
I see that ausil made two unsuccessful attempts to rebuild gcc for f16 in response to the glibc bug.

I also see that jakub is rebuilding it, as gcc-4.6.2-1.fc16:
  http://koji.fedoraproject.org/koji/buildinfo?buildID=271012

If any of those gcc builds get tagged into f16, the plugin will need to be rebuilt again
Comment 18 Dave Malcolm 2011-10-27 15:51:22 EDT
I've rebuilt:
  gcc-python-plugin-0.6-4.2.fc16
against:
  gcc-4.6.2-1.fc16

and verified that the two of them install together correctly.
Comment 19 Adam Williamson 2011-10-27 17:00:36 EDT
gcc-python-plugin doesn't appear to be on the DVD and I don't think it's on any of the live media, so I can't see a reason this actually needs to go through freeze; going out as a 0-day ought to be fine.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 20 Dave Malcolm 2011-10-27 19:29:48 EDT
(In reply to comment #19)
> gcc-python-plugin doesn't appear to be on the DVD and I don't think it's on any
> of the live media, so I can't see a reason this actually needs to go through
> freeze; going out as a 0-day ought to be fine.
"gcc-python-plugin" is the src.rpm name; the binary rpm is "gcc-python2-plugin" for python 2; "gcc-python3-plugin".
Comment 21 Dave Malcolm 2011-10-27 19:30:38 EDT
Should the rebuild from comment 18 be added to:
  https://admin.fedoraproject.org/updates/gcc-4.6.2-1.fc16,libtool-2.4-7.fc16
?
Comment 22 Adam Williamson 2011-10-27 19:37:46 EDT
dave: what I did was:

find -name gcc-python*



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 23 Jakub Jelinek 2011-10-28 03:09:50 EDT
I didn't include gcc-python-plugin-0.6-4.2.fc16 in the bodhi request just because I don't have permissions to do so.
If all these 3 packages could make it into f16, it would be nice, with the f16 glibc gcc doesn't build otherwise.
And there have been important wrong-code bugfixes in this gcc, like e.g.
http://gcc.gnu.org/PR49279 where GCC miscompiled Eigen2 or
http://gcc.gnu.org/PR50700 which is a -D_FORTIFY_SOURCE=2 wrong-code or
http://gcc.gnu.org/PR50189 (another miscompilation) just to name a few.
GCC is from a stable branch limited for regression bugfixes and documentation fixes and has been thoroughly tested   There has been no changes in libgcc nor libstdc++ (subpackages because of which gcc is CRITPATH).
Comment 24 Adam Williamson 2011-10-28 14:05:42 EDT
jakub: this bug was filed for the python plugin, not gcc itself. if you want that update pulled into final (and it does look like a good NTH candidate) we should use a different bug.
Comment 25 Adam Williamson 2011-10-28 15:16:52 EDT
Discussed at 2011-10-28 NTH review meeting. Agreed there are no grounds to take the python plugin specifically through the freeze, but we did accept the gcc bug as NTH, and we're fine if that update gets edited to add the python plugin.
Comment 26 Adam Williamson 2011-10-28 20:05:02 EDT
this doesn't really block the other bug.
Comment 27 Fedora End Of Life 2013-02-13 21:52:06 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.